Skip to main content
GET
Get events by event handle
This endpoint returns events emitted to the account matching a given event type. This method will use 30 Compute Units.

Path Parameters

address
string<hex>
required

Hex-encoded 32 byte Aptos account, with or without a 0x prefix, for which events are queried. This refers to the account that events were emitted to, not the account hosting the move module that emits that event type. A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example:

"0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 "

event_handle
string
required

Name of struct to lookup event handle e.g. 0x1::account::Account String representation of a MoveStructTag (on-chain Move struct type). This exists so you can specify MoveStructTags as path / query parameters, e.g. for get_events_by_event_handle.

It is a combination of:

  1. move_module_address, module_name and struct_name, all joined by ::
  2. struct generic type parameters joined by ,

Examples:

  • 0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>
  • 0x1::account::Account

Note:

  1. Empty chars should be ignored when comparing 2 struct tag ids.
  2. When used in an URL path, should be encoded by url-encoding (AKA percent-encoding).

See doc for more details.

Pattern: ^0x[0-9a-zA-Z:_<>]+$
Example:

"0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>"

field_name
string
required

Name of field to lookup event handle e.g. withdraw_events

Query Parameters

start
string<uint64>

Starting sequence number of events.

If unspecified, by default will retrieve the most recent A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

limit
integer<uint16>

Max number of events to retrieve.

If unspecified, defaults to default page size

Response

version
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

guid
object
required
sequence_number
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

type
string
required

String representation of an on-chain Move type tag that is exposed in transaction payload. Values: - bool - u8 - u16 - u32 - u64 - u128 - u256 - address - signer - vector: vector<{non-reference MoveTypeId}> - struct: {address}::{module_name}::{struct_name}::<{generic types}>

Pattern: ^(bool|u8|u64|u128|address|signer|vector<.+>|0x[0-9a-zA-Z:_<, >]+)$
data
any
required

The JSON representation of the event